## org.apache.batik.css.dom
Class CSSOMComputedStyle.ComputedCSSValue

    java.lang.Object
      org.apache.batik.css.dom.CSSOMValue
          org.apache.batik.css.dom.CSSOMComputedStyle.ComputedCSSValue

All Implemented Interfaces:
  org.w3c.dom.css.Counter, CSSOMValue.ValueProvider, org.w3c.dom.css.CSSPrimitiveValue, org.w3c.dom.css.CSSValue, org.w3c.dom.css.CSSValueList, org.w3c.dom.css.Rect, org.w3c.dom.css.RGBColor

Enclosing class:
  CSSOMComputedStyle

public class CSSOMComputedStyle.ComputedCSSValue
extends CSSOMValue
implements CSSOMValue.ValueProvider

To manage a computed CSSValue.

Nested Class Summary

Nested classes inherited from class org.apache.batik.css.dom.CSSOMValue
`CSSOMValue.AbstractComponent, CSSOMValue.AbstractModificationHandler, CSSOMValue.BlueComponent, CSSOMValue.BottomComponent, CSSOMValue.FloatComponent, CSSOMValue.GreenComponent, CSSOMValue.LeftComponent, CSSOMValue.ListComponent, CSSOMValue.ModificationHandler, CSSOMValue.RedComponent, CSSOMValue.RightComponent, CSSOMValue.TopComponent, CSSOMValue.ValueProvider`

Field Summary
`protected int` `index` The index of the associated value.

Fields inherited from class org.apache.batik.css.dom.CSSOMValue
`blueComponent, bottomComponent, greenComponent, handler, items, leftComponent, redComponent, rightComponent, topComponent, valueProvider`

Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`CSSOMComputedStyle.ComputedCSSValue(int idx)` Creates a new ComputedCSSValue.

Method Summary
`Value` `getValue()` Returns the Value associated with this object.

Methods inherited from class org.apache.batik.css.dom.CSSOMValue

`convertFloatValue, getBlue, getBottom, getCounterValue, getCssText, getCssValueType, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getPrimitiveType, getRectValue, getRed, getRGBColorValue, getRight, getSeparator, getStringValue, getTop, item, setCssText, setFloatValue, setModificationHandler, setStringValue, toCentimeters, toDegrees, toGradians, toHertz, toInches, tokHertz, toMillimeters, toMilliseconds, toPicas, toPoints, toRadians, toSeconds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    protected int index

  The index of the associated value.

Constructor Detail

### CSSOMComputedStyle.ComputedCSSValue

    public CSSOMComputedStyle.ComputedCSSValue(int idx)

  Creates a new ComputedCSSValue.

Method Detail

### getValue

    public Value getValue()

  Returns the Value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMValue.ValueProvider`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.